package com.aitrainer.api.controller.diet

import com.aitrainer.api.model.diet.RecipeMeal
import com.aitrainer.api.repository.diet.RecipeMealRepository
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.*

@RestController
@RequestMapping("api")
class RecipeMealController(private val recipeMealRepository: RecipeMealRepository) {

    @PostMapping ("/recipe_meal")
    fun insert(@RequestBody recipeMeal: RecipeMeal): ResponseEntity<RecipeMeal> {
        val newRecipe = recipeMealRepository.save(recipeMeal)
        return ResponseEntity.ok().body(recipeMeal)
    }
}